Package fr.gouv.vitam.storage.engine.common.model

# Class QueueMessageEntity

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.QueueMessageEntity

Direct Known Subclasses:
  `ReadOrder`, `TapeCatalog`, `WriteOrder`

public class QueueMessageEntity extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`
  `static final String`
  `MESSAGE_TYPE`
  `static final String`
  `PRIORITY`
  `static final String`
  `STATE`
  `static final String`
  `TAG_CREATION_DATE`
  `static final String`
  `TAG_LAST_UPDATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueMessageEntity(String id, QueueMessageType messageType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreated()`
  `String`
  `getId()`
  `String`
  `getLastUpdate()`
  `QueueMessageType`
  `getMessageType()`
  `int`
  `getPriority()`
  `QueueState`
  `getState()`
  `void`
  `setCreated(String created)`
  `void`
  `setId(String id)`
  `void`
  `setLastUpdate(String lastUpdate)`
  `void`
  `setMessageType(QueueMessageType messageType)`
  `void`
  `setPriority(int priority)`
  `void`
  `setState(QueueState state)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### STATE

    public static final String STATE
    See Also:
      - Constant Field Values

  - ### PRIORITY

    public static final String PRIORITY
    See Also:
      - Constant Field Values

  - ### MESSAGE_TYPE

    public static final String MESSAGE_TYPE
    See Also:
      - Constant Field Values

  - ### TAG_CREATION_DATE

    public static final String TAG_CREATION_DATE
    See Also:
      - Constant Field Values

  - ### TAG_LAST_UPDATE

    public static final String TAG_LAST_UPDATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QueueMessageEntity

    public QueueMessageEntity(String id, QueueMessageType messageType)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getState

    public QueueState getState()

  - ### setState

    public void setState(QueueState state)

  - ### getLastUpdate

    public String getLastUpdate()

  - ### setLastUpdate

    public void setLastUpdate(String lastUpdate)

  - ### getCreated

    public String getCreated()

  - ### setCreated

    public void setCreated(String created)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority(int priority)

  - ### getMessageType

    public QueueMessageType getMessageType()

  - ### setMessageType

    public void setMessageType(QueueMessageType messageType)